WordPress jRSS Widget Plugin “url” fájl felfedési sérülékenység

CH azonosító

CH-3908

Angol cím

WordPress jRSS Widget Plugin "url" File Disclosure Vulnerability

Felfedezés dátuma

2010.11.07.

Súlyosság

Közepes

Érintett rendszerek

WordPress
jRSS Widget plugin

Érintett verziók

WordPress jRSS Widget Plugin 1.x

Összefoglaló

A WordPress jRSS Widget plugin egy sérülékenységét fedezték fel, amelyet a támadók kihasználva érzékeny információkat fedhetnek fel.

Leírás

A “url” paraméternek átadott bemenei adat awp-content/plugins/jrss-widget/proxy.php-ben nincsenek megfelelően ellenőrizve a képernyőn történő megjelenítés előtt. Ez kihasználható tetszőleges fájl tartalmának felfedésére könyvtár bejárásos (directory traversal) támadásokon keresztül.

A sérülékenységet a 1.1.1-es verzióban igazolták. Más verziók is érintettek lehetnek.

Megoldás

Javítsa a forráskódot a bemenet megfelelő ellenőrzése érdekében